Last Comment Bug 727571 - Permanent orange: TEST-UNEXPECTED-FAIL | test-lwthemes.js | test-lwthemes.js::test_lightweight_themes
: Permanent orange: TEST-UNEXPECTED-FAIL | test-lwthemes.js | test-lwthemes.js:...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 727702
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 12:26 PST by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Mike Conley (:mconley) - (needinfo me!) 2012-02-15 12:26:42 PST
This one just popped up on Windows, and a few times on Linux too.

SUMMARY-UNEXPECTED-FAIL | e:\buildbot\comm-central-win32-opt-unittest-mozmill\build\mozmill\content-tabs\test-lwthemes.js | test-lwthemes.js::test_lightweight_themes
  EXCEPTION: No lightweight theme installed after selecting undo
    at: test-lwthemes.js line 127
       install_theme(2,1) test-lwthemes.js 127
       test_lightweight_themes() test-lwthemes.js 171
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
Comment 1 Mark Banner (:standard8) 2012-02-20 01:56:17 PST
Straight porting bug 592338 didn't work. When I try manually, the test seems to pass, but running in automatic mode it fails.

Going to run a bisect to see if I can find out what caused this.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-02-20 09:39:43 PST
Mark:

Sorry - I forgot to update this bug - I've bisected this one, and found it was an issue for both Firefox and Thunderbird.

(See bug 727702)

-Mike
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-02-20 10:00:29 PST
Mark:

Unfocused has bug 727702 on his "TODO" list.

-Mike
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2012-02-26 19:58:57 PST
Alright, I think I may have found a solution to this one - but I have to clear it with Mossop or Dao before I can be certain it's the right approach (posting my patch in bug 727702 shortly).

In the meantime, we might want to shut off this test temporarily, in order to make the oranges in our tree more meaningful.

Is that OK with you, Mark?
Comment 5 Mark Banner (:standard8) 2012-02-27 04:40:37 PST
Yep, and I've already disabled the test:

http://hg.mozilla.org/comm-central/rev/2f700c835943

(I split it into two test functions, so that we could still test the apply -> undo -> apply path without the returning to a previous persona part).
Comment 6 Mike Conley (:mconley) - (needinfo me!) 2012-02-27 07:12:51 PST
Regarding the solution I had for this - it looks like it makes our tests pass, but seems to gloss over the fact that Personas are still kinda broken.

There are still instances when installed Personas will not apply from the Add-ons Manager, for example.

I'm pretty sure the patch for bug 714841 broke Personas horribly.  :/
Comment 7 Mark Banner (:standard8) 2012-08-13 11:53:49 PDT
This was fixed by bug 714841 backing out bug 727702, I don't think we need to do anything about it at the moment.

Note You need to log in before you can comment on or make changes to this bug.